Update or move apex domain
PATCH
/__remote/api.vercel.com/v3/domains/{domain}Update or move apex domain. Note: This endpoint is no longer used for updating auto-renew or nameservers. For this, please use the endpoints Update auto-renew for a domain and Update nameservers for a domain.
Request
import { Edgenivo } from "@vercel/sdk";
const vercel = new Edgenivo({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.domains.patchDomain({ domain: "flimsy-napkin.com", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", requestBody: { op: "update", }, });
console.log(result);}
run();Response
{ "moved": "false"}AuthorizationbearerToken
Default authentication mechanism
application/json
This field is deprecated. Please use PATCH /v1/registrar/domains/{domainName}/auto-renew instead.
This field is deprecated. Please use PATCH /v1/registrar/domains/{domainName}/nameservers instead.